import { OnInit, TemplateRef } from '@angular/core';
import { ILabel } from '@libs-ui/components-label';
import { IConfigCard, IFunctionControlCard } from './interfaces/card.interface';
import * as i0 from "@angular/core";
export declare class LibsUiComponentsCardComponent implements OnInit {
    readonly isHidden: import("@angular/core").ModelSignal<boolean>;
    readonly label: import("@angular/core").InputSignal<ILabel | undefined>;
    readonly ignoreTitle: import("@angular/core").InputSignal<boolean | undefined>;
    readonly hasCollapseBtn: import("@angular/core").InputSignal<boolean | undefined>;
    readonly clickExactly: import("@angular/core").InputSignal<boolean | undefined>;
    readonly configCard: import("@angular/core").InputSignal<IConfigCard | undefined>;
    readonly templateHeader: import("@angular/core").InputSignal<TemplateRef<any> | undefined>;
    readonly classIncludeBody: import("@angular/core").InputSignal<string | undefined>;
    readonly classIncludeHeader: import("@angular/core").InputSignal<string | undefined>;
    readonly classIncludeHeaderWhenHiddenContent: import("@angular/core").InputSignal<string | undefined>;
    readonly outChangeStateShowContent: import("@angular/core").OutputEmitterRef<boolean>;
    readonly outFunctionsControl: import("@angular/core").OutputEmitterRef<IFunctionControlCard>;
    ngOnInit(): void;
    protected handlerHiddenOrShowContent(event: Event, clickExactly: boolean): Promise<void>;
    private handlerHiddenOrShowByTemplateHeader;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibsUiComponentsCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibsUiComponentsCardComponent, "libs_ui-components-card", never, { "isHidden": { "alias": "isHidden"; "required": false; "isSignal": true; }; "label": { "alias": "label"; "required": false; "isSignal": true; }; "ignoreTitle": { "alias": "ignoreTitle"; "required": false; "isSignal": true; }; "hasCollapseBtn": { "alias": "hasCollapseBtn"; "required": false; "isSignal": true; }; "clickExactly": { "alias": "clickExactly"; "required": false; "isSignal": true; }; "configCard": { "alias": "configCard"; "required": false; "isSignal": true; }; "templateHeader": { "alias": "templateHeader"; "required": false; "isSignal": true; }; "classIncludeBody": { "alias": "classIncludeBody"; "required": false; "isSignal": true; }; "classIncludeHeader": { "alias": "classIncludeHeader"; "required": false; "isSignal": true; }; "classIncludeHeaderWhenHiddenContent": { "alias": "classIncludeHeaderWhenHiddenContent"; "required": false; "isSignal": true; }; }, { "isHidden": "isHiddenChange"; "outChangeStateShowContent": "outChangeStateShowContent"; "outFunctionsControl": "outFunctionsControl"; }, never, ["*"], true, never>;
}
